package net.minecraft.src;

import net.minecraft.src.*;
import net.minecraft.src.ic2.api.CropCard;
import net.minecraft.src.ic2.api.TECrop;

public class CropBushwood extends CropCard {

    public CropBushwood() {
    }

    public String name() {
        return "Oak Bush";
    }

    public String discoveredBy() {
        return "Nekowulf";
    }

    public int tier() {
        return 4;
    }

    public int stat(int n) {
        switch(n) {
        case 0:
            return 3;

        case 1:
            return 0;

        case 2:
            return 0;

        case 3:
            return 3;

        case 4:
            return 0;
            
        default:
        	return 0;
        }
    }

    public String[] attributes() {
        return (new String[] {
            "Log", "Wood", "Brown"
        });
    }

    public int getSpriteIndex(TECrop crop) {
    	return crop.size < 3 ? 7 : crop.size + 3;
        }

    public boolean canGrow(TECrop crop) {
        return crop.size < 3;
    }

     public boolean canBeHarvested(TECrop crop) {
        return crop.size == 3;
    }

    public ItemStack getGain(TECrop crop) {
        return new ItemStack(Block.wood , mod_ForTheTrees.random.nextInt(2) + 1);
    }

    public byte getSizeAfterHarvest(TECrop crop) {
        return 1;
    }

    public int growthDuration(TECrop crop) {
        return 800;
    }

    public String getTextureFile() {
        return "/ftt_crops.png";
    }
}
